Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-common
Summary:	default configuration set for LXDE desktop environment
URL:		http://lxde.org/
License:	GPL
Version:	0.4.2
Release:	5
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{name}-%{version}.tar.bz2
Source1:        lxde-lock-screen.desktop
Patch1:         lxde-common-0.5-lxpanel-config.patch
Patch2:         lxde-common-0.4-openbox-menu.patch
Patch3:         lxde-common-0.3.2.1-pcmanfm-config.patch
Patch4:         lxde-common-0.4-pulseaudio.patch
Patch5:         %{name}-0.4-lxde-logout.desktop.patch
BuildRequires:	desktop-file-utils
Requires:	lxde-lxsession lxde-lxpanel pcmanfm openbox xdg-utils lxde-icon-theme xscreensaver

%description
lxde-common package provides a set of default configuration for LXDE.

lxde-settings is the XSettings daemon of LXDE.
It read config file ~/.config/lxde/config or /usr/share/lxde/config if
user-specific config file is not available, and presents the config values
to other programs via XSETTINGS protocol defined by freedesktop.org.


%pre

%preun

%post
ldconfig

%postun
ldconfig
%prep
%setup -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      lxde-logout.desktop
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      %{SOURCE1}

mkdir -p %{buildroot}/usr/share/kde4/apps/kdm/sessions
ln -s %{_datadir}/xsessions/LXDE.desktop %{buildroot}/usr/share/kde4/apps/kdm/sessions

# the icon theme is packaged in a different package
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/
%{_bindir}/
%{_datadir}/lxde/
%{_datadir}/lxpanel
%{_datadir}/xsessions/
%{_datadir}/applications
%{_mandir}/
/usr/share/kde4/apps/kdm/sessions

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 11 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.2-5
- revise panel patch, fix logout symbol in panel
- separate icon theme, not included in 0.5 anymore
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.2-4
- fix symlinks
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.2-3
- add symlink for kdm
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.2-2
- add lock screen
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.2-1
- Version update
* Sun Mar 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.2.1-2
- some default patches, added finer dependencies
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2.1-1
- initial CCux package release
